Subject: dpkg-1.3.6, hello-1.3-10: new shared library scheme

From: Ian Jackson <[email-masked]>
Date: Tue, 20 Aug 96 15:52 BST

I've now implemented the shared library scheme as described earlier.

I don't expect to make any further significant changes to the new
source package format and building scheme.  I shall finalise this in a
week unless there are significant complaints.  So: please download
these and look at them and try them out.

Please install dpkg-1.3.6 and read section 2.2 of the programmers'
manual to see what shared library package maintainers need to do.

Packages which just use shared libraries use dpkg-shlibdeps to
generate the dependencies.  See dpkg-source(1) and the hello package
for details.

There is a mechanism involving /etc/dpkg/shlibs.default to cope with
libraries which don't know about the new scheme.  At the moment I've
only put libc5 and ncurses3.0 in here; other libraries can be added
locally, but it would be better to mail me.

Other significant changes here are:
 * I've broken the argument unparsing to match braindamage in the
   latest versions of tar.  If you've had trouble with dpkg-source try
   this version.
 * dpkg-gencontrol has a default output file.

Ian.

-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.5
Date: Tue, 20 Aug 1996 15:39:58 +0100
Source: dpkg
Binary: dpkg
Architecture: source i386
Version: 1.3.6
Distribution: experimental
Urgency: low (HIGH for new source format)
Maintainer: Ian Jackson <[email-masked]>
Description: 
 dpkg       - Package maintenance system for Debian Linux
Changes: 
 dpkg (1.3.6) experimental; urgency=low (HIGH for new source format)
 .
   * dpkg-source now has broken argument unparsing for tar.  (Bug#4195.)
 .
   * dpkg-gencontrol writes to debian/tmp/DEBIAN/control by default.
   * dpkg-shlibdeps script added.
 .
   * Back to old sh update-rc.d, and removed manpage, because new Perl
     version and the manpage have different syntax and semantics.
   * update-rc.d prints usage message for missing terminal `.'.  (Bug#4122.)
 .
   * Use rm -rf instead of just rm -r in dpkg-deb --info &c.  (Bug#4200.)
 .
   * Added support for Installed-Size to dpkg-gencontrol, and documented.
   * Source packaging substitution variables and name syntax rationalised.
   * dpkg-source scripts' usage messages improved slightly.
   * dpkg-source works with non-empty second (orig dir) argument.
 .
   * Added rationale for copyright policy to manual.
   * More developers' PGP keys.
   * Control database handling cleanups (usu. Source field blanked).
Files: 
 385f880602b0d85f92849b1f89269ced 526 base required dpkg_1.3.6.dsc
 90752d02399d9049b130af87ab9dca6a 446149 base required dpkg_1.3.6.tar.gz
 ee97960479b05173ca1cd281dde57a6a 300202 base required dpkg_1.3.6_i386.deb
 2e41281d54977dbfe0769e0a8d2983eb 294667 byhand - dpkg_1.3.6_i386.nondebbin.tar.gz

-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.5
Date: Tue, 20 Aug 1996 15:42:27 +0100
Source: hello
Binary: hello
Architecture: source i386
Version: 1.3-10
Distribution: experimental
Urgency: low
Maintainer: Ian Jackson <[email-masked]>
Description: 
 hello      - The classic greeting, and a good example
Changes: 
 hello (1.3-10) experimental; urgency=low
 .
   * Use new shared library dependencies and dpkg-gencontrol scheme.
   * `source' and `diff' removed from .PHONY and now print message.
Files: 
 c823d000ae70b6b224972592e5d29217 587 devel optional hello_1.3-10.dsc
 b92b748ffb810c789d51852f8d367717 87701 devel optional hello_1.3.orig.tar.gz
 d97239a282d056e72abd9bbabf5574e9 3098 devel optional hello_1.3-10.diff.gz
 824fb083da0c54063a9deab7e7b8db26 13756 devel optional hello_1.3-10_i386.deb